首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  PHP

分享下几个从 ThinkPHP5.1 独立出来的几个 Composer 包(PHP5.6+)

  •  
  •   topthink · 201 天前 · 1435 次点击
    这是一个创建于 201 天前的主题,其中的信息可能已经有所发展或是发生改变。

    为了方便更多的 PHP 开发者,最近分离整理了几个 5.1 的类库包( PHP5.6+),可以直接使用 composer 安装,包括

    1 基于 PDO 的 ORM 组件

    https://github.com/top-think/think-orm

    composer require topthink/think-orm

    2 编译型 PHP 模板引擎

    https://github.com/top-think/think-template

    composer require topthink/think-template

    保持更新中~如果有新的库也会更新

    第 1 条附言  ·  190 天前

    2017-11-17 topthink/think-validate 验证类库

    https://github.com/top-think/think-validate/

    3 回复  |  直到 2017-11-09 14:22:09 +08:00
        1
    abccccabc   198 天前
    TP5.1 直接上 PHP7.0,低版本别支持了,学习下 lavarel5.5。
        2
    topthink   198 天前
    @abccccabc 感谢建议,主要是 PHP7 没有 5.1 版本必须要用到的功能 都是语法糖,而且国内很多企业还是不能直接上 7 (这里面的因素很多,不像个人项目)我想下一个版本肯定是基于 PHP7 了的~
        3
    abccccabc   198 天前
    啥时候出正式版 TP5.1 ????

    好像每次出个版本就和前面的不兼容,这个我感觉不太好。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   鸣谢   ·   919 人在线   最高记录 3541   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.1 · 28ms · UTC 18:04 · PVG 02:04 · LAX 11:04 · JFK 14:04
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1